package com.czg.account.service;

import com.czg.account.dto.merchant.ShopMerchantEditDTO;
import com.czg.account.entity.ShopMerchant;
import com.mybatisflex.core.service.IService;

import java.io.Serializable;

/**
 * 第三方商户进件 服务层。
 *
 * @author Administrator
 * @since 2025-02-11
 */
public interface ShopMerchantService extends IService<ShopMerchant> {

    ShopMerchant detail(Integer shopId);

    Boolean edit(ShopMerchantEditDTO shopMerchantEditDTO);
    @Override
    ShopMerchant getById(Serializable id);
}
